Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class JarFileUrlStreamHandler

    java.lang.Object
      java.net.URLStreamHandler
          org.apache.axis2.classloader.JarFileUrlStreamHandler

    public class JarFileUrlStreamHandler

extends URLStreamHandler

Version:
  $Rev: 476049 $ $Date: 2006-11-16 23:35:17 -0500 (Thu, 16 Nov 2006) $

Constructor Summary
`JarFileUrlStreamHandler()`
`JarFileUrlStreamHandler(JarFile jarFile, JarEntry jarEntry)`

Method Summary
`static URL` | `createUrl(JarFile jarFile, JarEntry jarEntry)`
`static URL` | `createUrl(JarFile jarFile, JarEntry jarEntry, URL codeSource)`
`URLConnection` | `openConnection(URL url)`
`void` | `setExpectedUrl(URL expectedUrl)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarFileUrlStreamHandler

    public JarFileUrlStreamHandler()

### JarFileUrlStreamHandler

    public JarFileUrlStreamHandler(JarFile jarFile,
                                   JarEntry jarEntry)

Method Detail

### createUrl

    public static URL createUrl(JarFile jarFile,
                                JarEntry jarEntry)
                         throws MalformedURLException

  Throws:
    `MalformedURLException`

### createUrl

    public static URL createUrl(JarFile jarFile,
                                JarEntry jarEntry,
                                URL codeSource)
                         throws MalformedURLException

  Throws:
    `MalformedURLException`

### setExpectedUrl

    public void setExpectedUrl(URL expectedUrl)

### openConnection

    public URLConnection openConnection(URL url)
                                 throws IOException

  Specified by:
    `openConnection` in class `URLStreamHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.